<template>
  <div class="container login-container">
    <div class="form-signin">
      <h2 class="form-signin-heading">{{ title }}</h2>
      <a class="btn btn-block btn-social btn-twitter">
        <i class="fab fa-facebook-square" style="font-size:48px;"></i>
        <span> Sign in with Facebook </span>
      </a>
      <a class="btn btn-block btn-social btn-twitter">
        <i class="fab fa-google" style="font-size:48px;"></i>
        <span>Sign in with Google</span>
      </a>
      <a class="btn btn-block btn-social btn-twitter">
        <i class="fab fa-twitter" style="font-size:48px;"></i>
        <span>Sign in with Twitter</span>
      </a>
      <router-link :to="{name: 'Register'}">
          <vue-button :title="registerButton.buttonTitle" :btnClass="registerButton.buttonClass"></vue-button>
      </router-link>
    </div>
  </div>
</template>
<script>
import VueButton from './VueButton.vue'

var registerButton = {buttonTitle: 'Registrarse', buttonClass: 'btn-primary'}

export default {
  name: 'Login',
  components: {
    VueButton
  },
  data() {
    return {
      title: 'Please sign in',
      registerButton: registerButton
    }
  }
}
</script>
<style scoped>
  .login-container .form-signin{
    max-width: 500px;
    margin: 0 auto;
  }
  .login-container .form-signin .btn-social{
    display: block;
    text-align: left;
    margin-top: 20px;
    margin-bottom: 20px;
  }
  .login-container .form-signin .btn-social span{
    padding-left: 10px;
  }
</style>